program Tabul;

 uses CRT, Graph;

 var
   GrDriver, GrMode, Error : integer;
   xmin, xmax, ymin, ymax, cfx, cfy, x, y, h : real;
   i, n : byte;
   x1, y1, x2, y2 : word;

 function XSc(x : real) : word;
  var xs : word;
  begin
    XS := Trunc((x - xmin) * cfx);
    xsc := xs;
  end;

 function YSc(y : real) : word;
  var ys : word;
  begin
    YS := Trunc((ymax - y) * cfy);
    ysc := ys;
  end;

 function f(x : real) : real;
  begin
    f := x * sqr(cos(x));
  end;

 begin

   ClrScr;
   DirectVideo := FALSE;

   write('   ࠭ ࢠ: ');  readln(xmin);
   write(' ࠢ ࠭ ࢠ: ');  readln(xmax);
   write(' : ');  readln(h);
   n := Round((xmax - xmin) / h) + 1;

   GrDriver := Detect;
   InitGraph(GrDriver, GrMode, 'f:\tp\graph');
   Error := GraphResult;
   if (Error <> grOK)  then
     begin
       writeln(' ᪠ 訡: ', GraphErrorMsg(Error));
       Halt;
     end;

   x1 := 300; y1 := 2;  x2 := 630;  y2 := 190;
   ymax := 3;  ymin := -2;
   cfx := (x2 - x1) / (xmax - xmin);
   cfy := (y2 - y1) / (ymax - ymin);

   SetViewPort(x1, y1, x2, y2, ClipOff);
   Line(XSc(xmin), YSc(0), XSc(xmax), YSc(0));  {   }
   Line(XSc(0), YSc(ymin), XSc(0), YSc(ymax));  {  न }

   OutTextXY(XSc(0.2), YSc(ymax), 'Y');
   OutTextXY(XSc(xmax), YSc(-0.2), 'X');

   writeln('    x      y');
   x := xmin;
   for i := 1 to n  do
     begin
       y := f(x);
       writeln(x:6:2, '  ', y:9);
       PutPixel(XSc(x), YSc(y), 1);
       x := x + h;
     end;

   repeat until KeyPressed;

   CloseGraph;

 end.