program Tab_tool;

 uses CRT,
      GDriver, GKernel, GShell, GWindow;

 var
   xmin, xmax, ymin, ymax, x, y, h : real;
   i, n : byte;
   a    : PlotArray;
   b    : PlotArray;

 function f(x : real) : real;
  begin
    f := x * sqr(cos(x));
  end;

 begin

   ClrScr;
   write('   ࠭ ࢠ: ');  readln(xmin);
   write(' ࠢ ࠭ ࢠ: ');  readln(xmax);
   write(' : ');  readln(h);
   n := Round((xmax - xmin) / h) + 1;

   writeln('    x      y');
   x := xmin;
   for i := 1 to n  do
     begin
       a[i, 1] := x;
       a[i, 2] := f(x);
       writeln(x:6:2, '  ', a[i,2]:9);
       x := x + h;
     end;

   readln;
   InitGraphic('e:\tp\graphix');

{   DefineWindow(1, 40, 0, 78, 100);}
   DefineHeader(1, 'Tabulating of function');  SetHeaderOn;

   FindWorld(1, a, n, 1, 1.1);
   SelectWindow(1);  DrawBorder;

   DrawAxis(8, 8, 0, 0, 0, 0, 0, 0, FALSE);
   SetLineStyle(1);
   DrawPolygon(a, 1, n, 7, 2, 0);

   ResetAxis;
   Spline(a, n, a[1,1], a[n,1], b, 50);
   SetLineStyle(0);
   DrawPolygon(b, 1, 50, 0, 0, 0);

   readln;
   LeaveGraphic;

 end.