Unit Arrays;

interface

 uses
   InOut;

 const
   NumMax  = 100;
 type
   ArrType = array [1..NumMax] of real;
   Str8    = string[8];

 procedure ReadArr(Name : Str8; n : byte; var a : ArrType);
 procedure WriteArr(Name : Str8; n : byte; var a : ArrType);
 function Min(n : byte; var a : ArrType) : real;
 function Max(n : byte; var a : ArrType) : real;
 function SumArr(n : byte; var a : ArrType) : real;
 function AverageArr(n : byte; var a : ArrType) : real;

implementation

 procedure ReadArr(Name : Str8; n : byte; var a : ArrType);
  var
    i  : byte;
  begin
    for i := 1 to n  do
      begin
        write(Name,'[',i,'] = ');  ReadReal(a[i]);
      end;
  end;

 procedure WriteArr(Name : Str8; n: byte; var a : ArrType);
  var
    i  : byte;
  begin
    for i := 1 to n  do
      begin
        writeln(Name,'[',i,'] = ', a[i]:6:2);
      end;
  end;

 function Min(n : byte; var a : ArrType) : real;
  var
    i    : byte;
    amin : real;
  begin  { Min }
    amin := a[1];
    for  i:= 1 to n  do
      if (a[i] < amin)  then
        amin := a[i];
    Min := amin;
  end;  { Min }

 function Max(n : byte; var a : ArrType) : real;
  var
    i    : byte;
    amax : real;
  begin  { Max }
    amax := a[1];
    for  i:= 1 to n  do
      if (a[i] > amax)  then
        amax := a[i];
    Max := amax;
  end;  { Max }

 function SumArr(n : byte; var a : ArrType) : real;
  var
    i : byte;
    s : real;
  begin  { SumArr }
    s := 0;
    for i := 1 to n  do
      s := s + a[i];
    SumArr := s;
  end;  { SumArr }

 function AverageArr(n : byte; var a : ArrType) : real;
  begin  { AverageArr }
    AverageArr := SumArr(n, a) / n;
  end;  { AverageArr }

end.
