Unit MyNumMet;

interface

type
  FuncType = function(x : real) : real;

procedure Bis(A, B, Eps : real; var X, FX : real; F : FuncType);

implementation

procedure Bis(A, B, Eps : real; var X, FX : real; F : FuncType);
 var
   FA : real;
 begin
   FA := F(A);
   while abs(B - A) > Eps  do
     begin
       X := (B + A) / 2;  FX := F(X);
       if (FA * FX) < 0  then
         B := X
       else
         A := X;
     end;
   X := (B + A) / 2;  FX := F(X);
 end;

end.